Skip to content

Resource Owners

The Resource Owners API allows you to manage assigning owners to resources in your Okta Identity Governance (OIG) org. You can drive automation and simplify OIG configuration by assigning owners to resources, such as apps, groups, entitlements, and collections. For example, resource owners are automatically assign as reviewers for access certifications or requests that are scoped with specific owner-assigned resources.

Configure the resource owners

Request

OAuth 2.0 scope:
  • okta.governance.resourceOwner.manage
Admin roles:
  • SUPER_ADMIN
Permissions:
  • okta.apps.manage
  • okta.users.read
  • okta.groups.read

Configures the owners for resources

Bodyapplication/jsonrequired
principalOrnsArray of strings, [ 0 .. 5 ] items

Owners of the resource. If no owners are provided (empty list), then all current owners are removed.

resourceOrnsArray of strings, [ 1 .. 10 ] itemsrequired

The resources to assign owners

POST
/governance/api/v1/resource-owners
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/governance/api/v1/resource-owners \
  -H 'Content-Type: application/json' \
  -d '{
    "principalOrns": [
      "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00u10sfroCwbHQO4a0g",
      "orn:okta:directory:00o11edPwGqbUrsDm0g4:users:00u6yl0Q065H4BCPR0g4"
    ],
    "resourceOrns": [
      "orn:okta:governance:00o11edPwGqbUrsDm0g4:entitlement-bundles:enbogpaj3XUzcM62u1d6"
    ]
  }'

Responses

Resource owners success response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(resource-owner)

Resource owner details

Response
{ "data": [ {} ] }